#pragma once

#include <map>

#include "types.h"
#include "mesh.h"

namespace kek::ObjParser {

Mesh *parseMesh(MemoryBuffer *buf, std::string folderPath);

Mesh *loadMesh(std::string path);

std::map<std::string, Material *> parseMaterials(MemoryBuffer *buf, std::string folderPath);

std::map<std::string, Material *> loadMaterials(std::string path);

}
